Package org.codehaus.groovy.vmplugin.v8

# Class Java8

java.lang.Object
org.codehaus.groovy.vmplugin.v5.Java5
org.codehaus.groovy.vmplugin.v6.Java6
org.codehaus.groovy.vmplugin.v7.Java7
org.codehaus.groovy.vmplugin.v8.Java8

All Implemented Interfaces:
  `VMPlugin`

public class Java8 extends Java7
No additional Java 8 based functionality in 2_4_X

## Constructor Summary

Constructors
Constructor
Description
`Java8()`

## Method Summary

Modifier and Type
Method
Description
`int`
`getVersion()`
Gives the version the plguin is made for

### Methods inherited from class org.codehaus.groovy.vmplugin.v7.Java7

`getInvokeSpecialHandle, invalidateCallSites, invokeHandle`

### Methods inherited from class org.codehaus.groovy.vmplugin.v5.Java5

`configureAnnotation, configureClassNode, getPluginDefaultGroovyMethods, getPluginStaticGroovyMethods, setAdditionalClassInformation`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Java8

public Java8()

## Method Details

### getVersion

public int getVersion()
Description copied from interface: `VMPlugin`
Gives the version the plguin is made for

Specified by:
  `getVersion` in interface `VMPlugin`
Overrides:
  `getVersion` in class `Java7`
Returns:
  5 for jdk5, 6 for jdk6, 7 for jdk7 or higher